Package net.sourceforge.jiu.data

# Class MemoryGray16Image

java.lang.Object
net.sourceforge.jiu.data.MemoryShortChannelImage
net.sourceforge.jiu.data.MemoryGray16Image

All Implemented Interfaces:
  `Gray16Image`, `GrayImage`, `GrayIntegerImage`, `IntegerImage`, `PixelImage`, `ShortChannelImage`

public class MemoryGray16Image extends MemoryShortChannelImage implements Gray16Image
An implementation of `Gray16Image` that keeps the complete image in memory. This class inherits most of its functionality from its parent class `MemoryShortChannelImage`, using one `short` channel.

Since:
  0.11.0
Author:
  Marco Schmidt

## Constructor Summary

Constructors
Constructor
Description
`MemoryGray16Image(int width, int height)`
Creates a new MemoryGray16Image object with the specified resolution.

## Method Summary

Modifier and Type
Method
Description
`PixelImage`
`createCompatibleImage(int width, int height)`
Creates an instance of the same class as this one, with width and height given by the arguments.
`Class`
`getImageType()`
If there is a single interface or class that describes the image data type of this class, the `Class` object associated with that interface (or class) is returned (or `null` otherwise).
`boolean`
`isBlack(int x, int y)`
Returns if the pixel specified by the location in the arguments is black.
`boolean`
`isWhite(int x, int y)`
Returns if the pixel specified by the location in the arguments is white.
`void`
`putBlack(int x, int y)`
Sets a pixel to black (minimum intensity value).
`void`
`putWhite(int x, int y)`
Sets a pixel to white (maximum intensity value).

### Methods inherited from class net.sourceforge.jiu.data.MemoryShortChannelImage

`checkPositionAndNumber, clear, clear, clear, clear, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getMaxSample, getNumChannels, getSample, getSample, getSamples, getShortSample, getShortSample, getShortSamples, getWidth, putSample, putSample, putSamples, putShortSample, putShortSample, putShortSamples`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getNumChannels, getWidth`

### Methods inherited from interface net.sourceforge.jiu.data.ShortChannelImage

`clear, clear, getShortSample, getShortSample, getShortSamples, putShortSample, putShortSample, putShortSamples`

## Constructor Details

### MemoryGray16Image

public MemoryGray16Image(int width, int height)
Creates a new MemoryGray16Image object with the specified resolution. Simply gives `1` (for one channel) and the two resolution arguments to the super constructor (of the parent class `MemoryShortChannelImage`).

Parameters:
  `width` - the horizontal resolution, must be larger than zero
  `height` - the vertical resolution, must be larger than zero

## Method Details

### createCompatibleImage

public PixelImage createCompatibleImage(int width, int height)
Description copied from interface: `PixelImage`
Creates an instance of the same class as this one, with width and height given by the arguments.

Specified by:
  `createCompatibleImage` in interface `PixelImage`
Specified by:
  `createCompatibleImage` in class `MemoryShortChannelImage`
Parameters:
  `width` - the horizontal resolution of the new image
  `height` - the vertical resolution of the new image
Returns:
  the new image

### getImageType

public Class getImageType()
Description copied from interface: `PixelImage`
If there is a single interface or class that describes the image data type of this class, the `Class` object associated with that interface (or class) is returned (or `null` otherwise). This `Class` object, if available for two image objects, can be used to find out if they are compatible. Example: `MemoryGray8Image` returns `net.sourceforge.jiu.data.Gray8Image.class`.

Specified by:
  `getImageType` in interface `PixelImage`

### isBlack

public boolean isBlack(int x, int y)
Description copied from interface: `GrayImage`
Returns if the pixel specified by the location in the arguments is black.

Specified by:
  `isBlack` in interface `GrayImage`
Parameters:
  `x` - the horizontal location of the pixel
  `y` - the vertical location of the pixel

### isWhite

public boolean isWhite(int x, int y)
Description copied from interface: `GrayImage`
Returns if the pixel specified by the location in the arguments is white.

Specified by:
  `isWhite` in interface `GrayImage`
Parameters:
  `x` - the horizontal location of the pixel
  `y` - the vertical location of the pixel

### putBlack

public void putBlack(int x, int y)
Description copied from interface: `GrayImage`
Sets a pixel to black (minimum intensity value).

Specified by:
  `putBlack` in interface `GrayImage`
Parameters:
  `x` - horizontal position of the pixel's location
  `y` - vertical position of the pixel's location

### putWhite

public void putWhite(int x, int y)
Description copied from interface: `GrayImage`
Sets a pixel to white (maximum intensity value).

Specified by:
  `putWhite` in interface `GrayImage`
Parameters:
  `x` - horizontal position of the pixel's location
  `y` - vertical position of the pixel's location